## org.eclipse.emf.ecore.xml.namespace
Interface XMLNamespacePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  XMLNamespacePackageImpl

    public interface XMLNamespacePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `XMLNamespaceFactory`

Nested Class Summary
`static interface` `XMLNamespacePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static XMLNamespacePackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `LANG_TYPE` The meta object id for the 'Lang Type' data type
`static int` `LANG_TYPE_NULL` The meta object id for the 'Lang Type Null' data type
`static int` `SPACE_TYPE` The meta object id for the '`Space Type`' enum
`static int` `SPACE_TYPE_OBJECT` The meta object id for the 'Space Type Object' data type
`static int` `XML_NAMESPACE_DOCUMENT_ROOT` The meta object id for the '`Document Root`' class
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__BASE` The feature id for the 'Base' attribute
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__ID` The feature id for the 'Id' attribute
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__LANG` The feature id for the 'Lang' attribute
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__SPACE` The feature id for the 'Space' attribute
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map
`static int` `XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map
`static int` `XML_NAMESPACE_DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class

Method Summary
`EDataType` `getLangType()` Returns the meta object for data type '`Lang Type`'
`EDataType` `getLangTypeNull()` Returns the meta object for data type '`Lang Type Null`'
`EEnum` `getSpaceType()` Returns the meta object for enum '`Space Type`'
`EDataType` `getSpaceTypeObject()` Returns the meta object for data type '`Space Type Object`'
`EAttribute` `getXMLNamespaceDocumentRoot_Base()` Returns the meta object for the attribute '`Base`'
`EAttribute` `getXMLNamespaceDocumentRoot_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getXMLNamespaceDocumentRoot_Lang()` Returns the meta object for the attribute '`Lang`'
`EAttribute` `getXMLNamespaceDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'
`EAttribute` `getXMLNamespaceDocumentRoot_Space()` Returns the meta object for the attribute '`Space`'
`EReference` `getXMLNamespaceDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'
`EReference` `getXMLNamespaceDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'
`EClass` `getXMLNamespaceDocumentRoot()` Returns the meta object for class '`Document Root`'
`XMLNamespaceFactory` `getXMLNamespaceFactory()` Returns the factory that creates the instances of the model

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final XMLNamespacePackage eINSTANCE

  The singleton instance of the package.

### XML_NAMESPACE_DOCUMENT_ROOT

    static final int XML_NAMESPACE_DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `XMLNamespaceDocumentRootImpl`, `XMLNamespacePackageImpl.getXMLNamespaceDocumentRoot()`, Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__MIXED

    static final int XML_NAMESPACE_DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__BASE

    static final int XML_NAMESPACE_DOCUMENT_ROOT__BASE

  The feature id for the 'Base' attribute.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__ID

    static final int XML_NAMESPACE_DOCUMENT_ROOT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__LANG

    static final int XML_NAMESPACE_DOCUMENT_ROOT__LANG

  The feature id for the 'Lang' attribute.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT__SPACE

    static final int XML_NAMESPACE_DOCUMENT_ROOT__SPACE

  The feature id for the 'Space' attribute.

  See Also:
    Constant Field Values

### XML_NAMESPACE_DOCUMENT_ROOT_FEATURE_COUNT

    static final int XML_NAMESPACE_DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### SPACE_TYPE

    static final int SPACE_TYPE

  The meta object id for the '`Space Type`' enum.

  See Also:
    `SpaceType`, `XMLNamespacePackageImpl.getSpaceType()`, Constant Field Values

### LANG_TYPE

    static final int LANG_TYPE

  The meta object id for the 'Lang Type' data type.

  See Also:
    `String`, `XMLNamespacePackageImpl.getLangType()`, Constant Field Values

### LANG_TYPE_NULL

    static final int LANG_TYPE_NULL

  The meta object id for the 'Lang Type Null' data type.

  See Also:
    `String`, `XMLNamespacePackageImpl.getLangTypeNull()`, Constant Field Values

### SPACE_TYPE_OBJECT

    static final int SPACE_TYPE_OBJECT

  The meta object id for the 'Space Type Object' data type.

  See Also:
    `SpaceType`, `XMLNamespacePackageImpl.getSpaceTypeObject()`, Constant Field Values

Method Detail

### getXMLNamespaceDocumentRoot

    EClass getXMLNamespaceDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `XMLNamespaceDocumentRoot`

### getXMLNamespaceDocumentRoot_Mixed

    EAttribute getXMLNamespaceDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `XMLNamespaceDocumentRoot.getMixed()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_XMLNSPrefixMap

    EReference getXMLNamespaceDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `XMLNamespaceDocumentRoot.getXMLNSPrefixMap()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_XSISchemaLocation

    EReference getXMLNamespaceDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `XMLNamespaceDocumentRoot.getXSISchemaLocation()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Base

    EAttribute getXMLNamespaceDocumentRoot_Base()

  Returns the meta object for the attribute '`Base`'.

  Returns:
    the meta object for the attribute 'Base'.
  See Also:
    `XMLNamespaceDocumentRoot.getBase()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Id

    EAttribute getXMLNamespaceDocumentRoot_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `XMLNamespaceDocumentRoot.getId()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Lang

    EAttribute getXMLNamespaceDocumentRoot_Lang()

  Returns the meta object for the attribute '`Lang`'.

  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `XMLNamespaceDocumentRoot.getLang()`, `getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Space

    EAttribute getXMLNamespaceDocumentRoot_Space()

  Returns the meta object for the attribute '`Space`'.

  Returns:
    the meta object for the attribute 'Space'.
  See Also:
    `XMLNamespaceDocumentRoot.getSpace()`, `getXMLNamespaceDocumentRoot()`

### getSpaceType

    EEnum getSpaceType()

  Returns the meta object for enum '`Space Type`'.

  Returns:
    the meta object for enum 'Space Type'.
  See Also:
    `SpaceType`

### getLangType

    EDataType getLangType()

  Returns the meta object for data type '`Lang Type`'.

  Returns:
    the meta object for data type 'Lang Type'.
  See Also:
    `String`

### getLangTypeNull

    EDataType getLangTypeNull()

  Returns the meta object for data type '`Lang Type Null`'.

  Returns:
    the meta object for data type 'Lang Type Null'.
  See Also:
    `String`

### getSpaceTypeObject

    EDataType getSpaceTypeObject()

  Returns the meta object for data type '`Space Type Object`'.

  Returns:
    the meta object for data type 'Space Type Object'.
  See Also:
    `SpaceType`

### getXMLNamespaceFactory

    XMLNamespaceFactory getXMLNamespaceFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.